<?php
/**
 * JL Content Fields Filter
 *
 * @version 	1.5.0
 * @author		Joomline
 * @copyright	(C) 2017 Arkadiy Sedelnikov, Joomline. All rights reserved.
 * @license 	GNU General Public License version 2 or later; see	LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('jquery.framework');

$doc = JFactory::getDocument();

$doc->addScript(JUri::root().'modules/mod_jlcontentfieldsfilter/assets/javascript/jlcontentfilter.js', array('version' => 'auto'));
$doc->addScriptDeclaration('
	JlContentFieldsFilter.init({
		"autho_send" : '.$autho_send.',
		"form_identifier" : "mod-finder-searchform-'.$module->id.'",
		"ajax" : '.$ajax.',
		"ajax_selector" : "'.$ajax_selector.'",
		"ajax_loader" : "'.$ajax_loader.'",
		"ajax_loader_width" : '.$ajax_loader_width.'
	});
');

if ($params->get('enable_css', 1)) {
	$doc->addStyleSheet(JUri::root().'modules/mod_jlcontentfieldsfilter/assets/css/jlcontentfilter.css', array('version' => 'auto'));
}

?>

<form id="mod-finder-searchform-<?php echo $module->id; ?>" action="<?php echo $action; ?>" method="<?php echo $form_method; ?>" class="form-search">
	<div class="jlcontentfieldsfilter<?php echo $moduleclass_sfx; ?>">
		
		<?php foreach($fields as $v) : ?>
		<div class="jlmf-section">
            <?php echo $v; ?>
		</div>	
        <?php endforeach; ?>
		
		<?php if($enableOrdering) : ?>
		<div class="jlmf-section">
            <?php echo $orderingSelect; ?>
		</div>	
        <?php endif; ?>
		
		<div class="jlmf-section">
			<?php if (!$autho_send) : ?>
				<button type="submit" class="jlmf-button"><?php echo JText::_('MOD_JLCONTENTFIELDSFILTER_SUBMIT'); ?></button>
			<?php endif; ?>
			<div><button type="button" class="jlmf-link" onclick="return JlContentFieldsFilter.clearForm(this);"><?php echo JText::_('MOD_JLCONTENTFIELDSFILTER_RESET'); ?></button></div>
		</div>

	</div>
    <input type="hidden" name="jlcontentfieldsfilter[is_filter]" value="1">
</form>
